my $imageMagick = 'C:\Program Files\ImageMagick-7.0.5-Q16\convert.exe';
my $folder      = '.\\';
my $original    = "Icon.png";

$new{'Icon-App-20x20@1x'}     = '20x20';
$new{'Icon-App-20x20@2x'}     = '40x40';
$new{'Icon-App-20x20@3x'}     = '60x60';
$new{'Icon-App-29x29@1x'}     = '29x29';
$new{'Icon-App-29x29@2x'}     = '58x58';
$new{'Icon-App-29x29@3x'}     = '87x87';
$new{'Icon-App-40x40@1x'}     = '40x40';
$new{'Icon-App-40x40@2x'}     = '80x80';
$new{'Icon-App-40x40@3x'}     = '120x120';
$new{'Icon-App-57x57@1x'}     = '57x57';
$new{'Icon-App-57x57@2x'}     = '114x114';
$new{'Icon-App-60x60@1x'}     = '60x60';
$new{'Icon-App-60x60@2x'}     = '120x120';
$new{'Icon-App-60x60@3x'}     = '180x180';
$new{'Icon-App-72x72@1x'}     = '72x72';
$new{'Icon-App-72x72@2x'}     = '144x144';
$new{'Icon-App-76x76@1x'}     = '76x76';
$new{'Icon-App-76x76@2x'}     = '152x152';
$new{'Icon-App-76x76@3x'}     = '228x228';
$new{'Icon-App-83.5x83.5@2x'} = '167x167';
$new{'Icon-Small-50x50@1x'}   = '50x50';
$new{'Icon-Small-50x50@2x'}   = '100x100';
$new{'iTunesArtwork@2x'}      = '1024x1024';

foreach my $key (sort { $a cmp $b } keys %new) {
	my $imageName = $key . ".png";
	my $size = $new{$key};
	my $from = $folder . $original;
	my $to = $folder . $imageName;
	print "Creating " . $imageName . "...\n";
	if ($key eq 'iTunesArtwork@2x.png') { system('"' . $imageMagick . '" "' . $from . '" -resize ' . $size . ' -background black -alpha remove "' . $to . '"'); }
	else {                                system('"C:\Program Files\ImageMagick-7.0.5-Q16\convert.exe" "' . $from . '" -resize ' . $size . ' "' . $to . '"'); }
	
}

